#ifndef _LGOBJECT_H_
#define _LGOBJECT_H_
/*
 *   $RCSfile: lgobject.h,v $  
 *   $Revision: 2.6 $  
 *   $Date: 1992/11/27 16:53:10 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/



/*
 * Calculate and return a given slot's byte count.
 */
#define LG_SlotCount(_nodePtr, _slotNo)				\
													\
    ( ((_slotNo) == 0)								\
        ? ((_nodePtr)->slot[(_slotNo)].count)		\
        : ((_nodePtr)->slot[(_slotNo)].count		\
	    - (_nodePtr)->slot[(_slotNo)-1].count) )



/*
 *	Turn off printing routines if tracing is disabled
 */
#ifndef DEBUG

#define LG_PrintNode(arg1, arg2, arg3)

#define LG_PrintTstack(arg1)

#define lg_PrintIndex(arg1, arg2, arg3, arg4)

#endif
#endif /* _LGOBJECT_H_ */
